use warnings;
use strict;
use Carp;

BEGIN { require 't/.lib.t' };
plan tests => 7;


throws_ok { gpg_list(undef)     } qr/Usage/;

init_gpg_homedir();
is_deeply(gpg_list(), {},       'empty hash for empty homedir');

gpg_import($PUB_KEY{$KEY_ID[0]});
is_deeply(gpg_list(), { $KEY_ID[0] => $KEY_INFO{$KEY_ID[0]} },  'key1');

gpg_import($SEC_KEY{$KEY_ID[1]}, 1);
is_deeply(gpg_list(), {
    $KEY_ID[0] => $KEY_INFO{$KEY_ID[0]},
    $KEY_ID[1] => $KEY_INFO{$KEY_ID[1]},
    },  'key1+2');

init_gpg_homedir();
gpg_import($SEC_KEY{$KEY_ID[2]}, 1);
is_deeply(gpg_list(), { $KEY_ID[2] => $KEY_INFO{$KEY_ID[2]} },  'key3');

init_gpg_homedir();
gpg_import($SEC_KEY{$KEY_ID[3]}, 1);
is_deeply(gpg_list(), { $KEY_ID[3] => $KEY_INFO{$KEY_ID[3]} },  'key4');

init_gpg_homedir();
gpg_import($SEC_KEY{$_}, 1) for @KEY_ID;
is_deeply(gpg_list(), \%KEY_INFO,  'key1+2+3+4');

